# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-fedora-compat
BuildRequires: gcc-c++
# END SourceDeps(oneline)
Name:		mausezahn
Version:	0.40
Release:	alt1_5
Summary:	A fast versatile packet generator

Group:		Networking/WWW
License:	GPLv2
URL:		http://www.perihel.at/sec/mz/
Source0:	http://www.perihel.at/sec/mz/mz-%{version}.tar.gz
Source1:	%{name}.1
Source2:	README.Fedora

BuildRequires:	libpcap-devel >= 0.8 libnet2-devel >= 1.1 ctest cmake libcli-devel
Source44: import.info

%description
Mausezahn is a free fast traffic generator written in C which allows you to 
send nearly every possible and impossible packet. Mausezahn can also be used 
for example as didactical tool in network labs or for security audits including
penetration and DoS testing. As traffic generator Mausezahn is for example used
to test IP multicast or VoIP networks. Speeds close to the Ethernet limit are 
reachable (depending on the HW platform).

%prep
%setup -q -n mz-%{version}
sed -i.optflags -e '/^SET(CMAKE_C_FLAGS/d' CMakeLists.txt

%build
%{fedora_cmake} .
make %{?_smp_mflags} VERBOSE=1

%install
make install INSTALL="%{__install} -p" DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name "*.html" -delete
find $RPM_BUILD_ROOT -type f -name "*.pdf" -delete
mv $RPM_BUILD_ROOT%{_sbindir}/mz $RPM_BUILD_ROOT%{_sbindir}/%{name}
cp -p %SOURCE1 $RPM_BUILD_ROOT%{_mandir}/man1/
mv $RPM_BUILD_ROOT%{_defaultdocdir}/mz \
$RPM_BUILD_ROOT%{_defaultdocdir}/%{name}-%{version}
cp -p %SOURCE2 $RPM_BUILD_ROOT%{_defaultdocdir}/%{name}-%{version}/
cp -pr AUTHORS ChangeLog COPYING README \
$RPM_BUILD_ROOT%{_defaultdocdir}/%{name}-%{version}
rm $RPM_BUILD_ROOT%{_mandir}/man1/mz.1

#Prevent spurious dependencies.
chmod -x doc/view_rtp_avg.py

%files
%{_sbindir}/%{name}
%{_defaultdocdir}/%{name}-%{version}/
%{_mandir}/man1/%{name}*
%{_mandir}/man1/mz*

%changelog
* Fri Apr 26 2013 Igor Vlasenko <viy@altlinux.ru> 0.40-alt1_5
- initial fc import

